# Uses of Class
net.shibboleth.idp.authn.principal.PrincipalEvalPredicateFactoryRegistry

Packages that use PrincipalEvalPredicateFactoryRegistry
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of PrincipalEvalPredicateFactoryRegistry in net.shibboleth.idp.authn.context

Fields in net.shibboleth.idp.authn.context declared as PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Field
Description
`private PrincipalEvalPredicateFactoryRegistry`
AuthenticationContext.`evalRegistry`
Instance of registry used for auto-creation of `RequestedPrincipalContext`.
`private PrincipalEvalPredicateFactoryRegistry`
RequestedPrincipalContext.`evalRegistry`
The registry of predicate factories for custom principal evaluation.
Methods in net.shibboleth.idp.authn.context that return PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Method
Description
`PrincipalEvalPredicateFactoryRegistry`
AuthenticationContext.`getPrincipalEvalPredicateFactoryRegistry()`
Get the registry of predicate factories for custom principal evaluation.
`PrincipalEvalPredicateFactoryRegistry`
RequestedPrincipalContext.`getPrincipalEvalPredicateFactoryRegistry()`
Get the registry of predicate factories for custom principal evaluation.
Methods in net.shibboleth.idp.authn.context with parameters of type PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Method
Description
`AuthenticationContext`
AuthenticationContext.`setPrincipalEvalPredicateFactoryRegistry(PrincipalEvalPredicateFactoryRegistry registry)`
Set the registry of predicate factories for custom principal evaluation to inject into instances of `RequestedPrincipalContext` created via the `AuthenticationContext.addRequestedPrincipalContext(String, List, boolean)` helper method.
`RequestedPrincipalContext`
RequestedPrincipalContext.`setPrincipalEvalPredicateFactoryRegistry(PrincipalEvalPredicateFactoryRegistry registry)`
Set the registry of predicate factories for custom principal evaluation.

## Uses of PrincipalEvalPredicateFactoryRegistry in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Field
Description
`private PrincipalEvalPredicateFactoryRegistry`
PopulateAuthenticationContext.`evalRegistry`
The registry of predicate factories for custom principal evaluation.
Methods in net.shibboleth.idp.authn.impl that return PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Method
Description
`PrincipalEvalPredicateFactoryRegistry`
PopulateAuthenticationContext.`getPrincipalPredicateFactoryEvalRegistry()`
Get the registry of predicate factories for custom principal evaluation.
Methods in net.shibboleth.idp.authn.impl with parameters of type PrincipalEvalPredicateFactoryRegistry
Modifier and Type
Method
Description
`void`
PopulateAuthenticationContext.`setPrincipalEvalPredicateFactoryRegistry(PrincipalEvalPredicateFactoryRegistry registry)`
Set the registry of predicate factories for custom principal evaluation.